﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MxAPITestUI
{
    public partial class MainForm : Form
    {
        bool bInit = false;

        public MainForm()
        {
            InitializeComponent();
        }

        private bool CreateAPI(string strPath, bool bCalculate = false)
        {
            if (!Mx.Frame.Create((IntPtr)null))
                return false;

            if (!Mx.Frame.Load(strPath))
                return false;

            if (bCalculate)
            {
                if (!Mx.Frame.Calculate())
                    return false;
            }

            return true;
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            string strPath = "d:\\!Files\\!Excel\\simple2D.mxf";

            if (!(bInit = CreateAPI(strPath, true)))
                MessageBox.Show("Failed to init MxFrameAPI");
        }

        private void MainForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            Mx.Frame.Destroy();
        }

        private void btnSteel_Click(object sender, EventArgs e)
        {
            if (bInit)
                Mx.Frame.ShowSteelGrids();
        }

        private void btnTimber_Click(object sender, EventArgs e)
        {
            if (bInit)
                Mx.Frame.ShowTimberGrids();
        }
    }
}
